Subject: [magma] Should a snooping switch proxy or forward IGMP queries?

From: [email-masked]
Date: Tue, 18 Jan 2005 11:08:15 -0500

I'm coming back to some code I wrote a couple of months ago and it's not doing what I now think it should.  I've looked at the "Considerations for IGMP and MLD Snooping Switches" and not found any thing that resolves the conflict.  Thanks for any feedback.

Consider an IGMP snooping switch with static routers configured on ports 1 and 2 which receives a general Query on port 5.  Should that query be forwarded (intact) or proxied (with a source address of 0.0.0.0) to ports 3, 4, 6, etc.?  It seems intuitive that it should or the router out port 5 will never know about members that may be out port 3, etc. but "Considerations" doesn't seem to say so.

                              Chris

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma